import { LitElement } from 'lit';
import { type ImageType, type ImageData } from '@responsive-image/core';
interface ImageSource {
    srcset: string;
    type: ImageType;
    mimeType: string;
    sizes?: string;
}
declare enum Layout {
    RESPONSIVE = "responsive",
    FIXED = "fixed"
}
export declare class ResponsiveImage extends LitElement {
    static styles: import("lit").CSSResult;
    src: ImageData;
    size?: number;
    sizes?: string;
    width?: number;
    height?: number;
    loading: 'eager' | 'lazy';
    decoding: 'async' | 'sync' | 'auto';
    fetchPriority?: 'high' | 'low' | 'auto';
    crossOrigin?: 'anonymous' | 'use-credentials';
    referrerPolicy?: 'no-referrer' | 'no-referrer-when-downgrade' | 'origin' | 'origin-when-cross-origin' | 'same-origin' | 'strict-origin' | 'strict-origin-when-cross-origin' | 'unsafe-url';
    alt: string;
    complete: boolean;
    get layout(): Layout;
    get sources(): ImageSource[];
    get sourcesSorted(): ImageSource[];
    get imgWidth(): number | undefined;
    get imgHeight(): number | undefined;
    get imgSrc(): string | undefined;
    get hasLqipBlurhash(): boolean;
    get showLqipBlurhash(): boolean;
    get lqipBlurhash(): string | undefined;
    render(): import("lit").TemplateResult<1>;
}
declare global {
    interface HTMLElementTagNameMap {
        'responsive-image': ResponsiveImage;
    }
}
export {};
