export function imageLoaded() {
    let resolve;
    let reject;
    const loaded = new Promise((res, rej) => {
        resolve = res;
        reject = rej;
    });
    const onload = (el) => {
        const imgEl = el.shadowRoot?.querySelector('img');
        if (!imgEl) {
            throw new Error('No <img> element found');
        }
        if (imgEl.complete) {
            resolve(undefined);
        }
        else {
            imgEl.addEventListener('load', () => {
                setTimeout(resolve, 0);
            }, { once: true });
            imgEl.addEventListener('error', (e) => {
                console.error(e.message);
                reject(e);
            }, { once: true });
        }
    };
    return { onload, loaded };
}
//# sourceMappingURL=image-loaded.helper.js.map